com.google.gwt.core.ext

## Interface PropertyOracle

All Known Implementing Classes:
  SubsetFilteringPropertyOracle

    public interface PropertyOracle

Provides deferred binding property values.

### Method Summary

All Methods Instance Methods Abstract Methods
`ConfigurationProperty` `getConfigurationProperty(java.lang.String propertyName)` Attempts to get a named configuration property.
`SelectionProperty` `getSelectionProperty(TreeLogger logger, java.lang.String propertyName)` Attempts to get a named deferred binding property.

### Method Detail

#### getConfigurationProperty

    ConfigurationProperty getConfigurationProperty(java.lang.String propertyName)
                                            throws BadPropertyValueException

Attempts to get a named configuration property. Throws `BadPropertyValueException` if the property is undefined. The result of invoking this method with the same `propertyName` must be stable.

Parameters:
  `propertyName` -
Returns:
  the configuration property instance (never null)
Throws:
  `BadPropertyValueException` - if the property is unknown or not a configuration property

#### getSelectionProperty

    SelectionProperty getSelectionProperty(TreeLogger logger,
                                           java.lang.String propertyName)
                                    throws BadPropertyValueException

Attempts to get a named deferred binding property. Throws `BadPropertyValueException` if the property is either undefined or has a value that is unsupported. The result of invoking this method with the same `propertyName` must be stable.

Parameters:
  `logger` -
  `propertyName` -
Returns:
  the selection property instance (never null)
Throws:
  `BadPropertyValueException` - if the property is unknown or not a selection property